DWARF_ATTROFFSET(3)

NAME
dwarf_attroffset - retrieve the section-relative offset of an attribute descriptor

LIBRARY
libdwarf

SYNOPSIS
#include <libdwarf.h>
int
dwarf_attroffset(Dwarf_Attribute at, Dwarf_Off *ret_off, Dwarf_Error *err);

DESCRIPTION
Function dwarf_attroffset() retrieves the section-relative offset of the attribute descriptor referenced by argument at.

Argument ret_off should point to a location that is to hold the returned section-relative offset. If argument err is non-NULL, it is used to return an error descriptor in case of an error.

RETURN VALUES
On success, function dwarf_attroffset() returns DW_DLV_OK.

In case of an error, it returns DW_DLV_ERROR and sets argument err.

COMPATIBILITY
This function is an extension to the DWARF(3) API.

ERRORS
The dwarf_attroffset() function may fail with the following errors:

[DW_DLE_ARGUMENT]
    Either of the arguments at or ret_off was NULL.

SEE ALSO
dwarf(3), dwarf_attr(3)